/* $Id: exec.h,v 1.6 1996/07/17 12:26:47 queinnec Exp $ */

#ifndef _EXEC_H
#define _EXEC_H

typedef enum { REDIR_CMDE, REDIR_FILE, REDIR_APPEND } Redirection;

void set_default_output (Redirection redir, const char *name);
void set_command_output (Redirection redir, const char *name);
void restore_default_output (void);

void docommand (const char *w, const char *cmde, const char *opt);

/* Open the file, which may be compressed */ 
int openfile_readonly (const char *filename);

/* openfile_readonly(mainfile), and warns if mainfile is older
 * than checkfile. */
int opencompletion (const char *mainfile, const char *checkfile);
    
#endif /* _COMMAND_H */

